Update a design template
Updates the JSON tree of a design template. Creates a version snapshot before applying the update.
X-API-Key<token>
API key for authentication. Include in the X-API-Key header.
In: header
Path Parameters
idstring
The design template ID
Length
1 <= lengthcurrent_json_treeobject
Updated JSON tree for the design template
Empty Object
change_summary?string
Brief description of what was changed
Length
length <= 500Response Body
curl -X PATCH "https://api.staticadslab.com/v1/design-templates/dt_a1b2c3d4e5f67890" \
-H "Content-Type: application/json" \
-d '{
"current_json_tree": {
"property1": null,
"property2": null
}
}'{
"data": {
"id": "dt_a1b2c3d4e5f67890",
"reference_image_url": "string",
"status": "completed",
"current_json_tree": {
"property1": null,
"property2": null
},
"preview_url": "string",
"width": 0,
"height": 0,
"aspect_ratio": "1:1",
"industry": "Apparel & Accessories",
"ad_format": "Sale",
"json_tree_version": 1,
"duration_ms": 0,
"created_at": "2026-03-27T12:00:00.000Z",
"updated_at": "2026-03-27T12:00:00.000Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f67890",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"field": "string",
"message": "string"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f67890",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"field": "string",
"message": "string"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f67890",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"field": "string",
"message": "string"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f67890",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"field": "string",
"message": "string"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f67890",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}